Skip to content

Get a supplier

GET
/suppliers/{id}
curl --request GET \
--url https://app.buildtrace.eu/api/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Required scope: suppliers:read.

id
required
string format: uuid

OK

Media typeapplication/json
object
id
required
string format: uuid
code
required
string
name
required
string
contact
string
notes
string
active
required
boolean

Example generated

{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"code": "example",
"name": "example",
"contact": "example",
"notes": "example",
"active": true
}

Unauthorized

Not found